# -*- coding: utf-8 -*-
from setuphelpers import *

uninstallkey = []


def install():
    pass
    # put here what to do when package is installed on host
    # implicit context variables are WAPT, basedir, control, user, params, run
    registry_set(HKEY_LOCAL_MACHINE,r'SYSTEM\CurrentControlSet\Services\LanmanServer\Parameters','DisableCompression',1)


def uninstall():
    pass
    # put here what to do when package is removed from host
    # implicit context variables are WAPT, control, user, params, run
    registry_set(HKEY_LOCAL_MACHINE,r'SYSTEM\CurrentControlSet\Services\LanmanServer\Parameters','DisableCompression',0)


def audit():
    pass
    # put here code to check periodically that state is matching expectations
    # return "OK", "WARNING" or "ERROR" to report status in console.
    # all print statement are reported too
    smb_comp_status = str(registry_readstring(HKEY_LOCAL_MACHINE,r'SYSTEM\CurrentControlSet\Services\LanmanServer\Parameters','DisableCompression'))
    if smb_comp_status == '1':
        print('The SMBv3 Compression is actually disabled, all good!')
        return "OK"
    elif smb_comp_status == '0':
        print('The SMBv3 Compression is actually enabled, please be careful!')
        return "WARNING"
    else:
        print('The SMBv3 Compression option is not applied, meaning she is enabled, please be careful!')
        return "WARNING"


def update_package():
    pass

